<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3008
Name: Results Laboratory
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3008-2012-12-12T000000">
   <title>Results Laboratory</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3008
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]
Item: (ResultsLaboratory)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3008
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3008']]
Item: (ResultsLaboratory)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3008']]"
         id="tmp-r-006d4faf-1cc3-4877-90a5-9ba077aac7d0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="string(@classCode)='DOCSECT'">(ResultsLaboratory): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3008'])&gt;=1 ">(ResultsLaboratory): element hl7:templateId[@root='2.16.578.1.34.10.3008'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3008'])&lt;=1">(ResultsLaboratory): element hl7:templateId[@root='2.16.578.1.34.10.3008'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="count(hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(ResultsLaboratory): element hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="count(hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(ResultsLaboratory): element hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(ResultsLaboratory): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="count(hl7:title)&lt;=1">(ResultsLaboratory): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(ResultsLaboratory): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(ResultsLaboratory): element hl7:text appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3008
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3008']]/hl7:templateId
Item: (ResultsLaboratory)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3008']]/hl7:templateId"
         id="tmp-r-1bbc108b-3a5d-4c15-a7c9-7a74bd415a06">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultsLaboratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.3008'">(ResultsLaboratory): @root SHALL have value '2.16.578.1.34.10.3008'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3008
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3008']]/hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (ResultsLaboratory)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3008']]/hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-ace351d0-a1fb-4e53-8332-28183454c7f9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultsLaboratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="@nullFlavor or (@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')">(ResultsLaboratory): The element value SHALL be code '30954-2' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3008
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3008']]/hl7:title
Item: (ResultsLaboratory)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3008']]/hl7:title"
         id="tmp-r-1ee81b8a-2c93-4145-9141-6b92c173ab40">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultsLaboratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3008
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3008']]/hl7:text
Item: (ResultsLaboratory)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3008']]/hl7:text"
         id="tmp-r-15160826-cd70-46a2-b60b-9867434c99d9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ResultsLaboratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3008
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3008']]/hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4003']]]
Item: (ResultsLaboratory)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3008']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3008']]/hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4003']]]"
         id="tmp-r-4cbc0f4a-925a-47df-9df8-7923d9b03ecc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3008-2012-12-12T000000.html"
              test="string(@typeCode)='DRIV' or not(@typeCode)">(ResultsLaboratory): The value for @typeCode SHALL be 'DRIV'.</assert>
   </rule>
</pattern>
