<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3009
Name: Equipment Section
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3009-2012-12-12T000000">
   <title>Equipment Section</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3009
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3009']]
Item: (EquipmentSection)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3009
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3009']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3009']]
Item: (EquipmentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3009']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3009']]"
         id="tmp-r-e0e9e3c7-6230-4b0d-9069-b5ee0879c52b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="string(@classCode)='DOCSECT'">(EquipmentSection): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3009'])&gt;=1 ">(EquipmentSection): element hl7:templateId[@root='2.16.578.1.34.10.3009'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3009'])&lt;=1">(EquipmentSection): element hl7:templateId[@root='2.16.578.1.34.10.3009'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="count(hl7:code[(@code='46264-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='46264-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(EquipmentSection): element hl7:code[(@code='46264-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="count(hl7:code[(@code='46264-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(EquipmentSection): element hl7:code[(@code='46264-8' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(EquipmentSection): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="count(hl7:title)&lt;=1">(EquipmentSection): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(EquipmentSection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(EquipmentSection): element hl7:text appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3009
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3009']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3009']]/hl7:templateId
Item: (EquipmentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3009']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3009']]/hl7:templateId"
         id="tmp-r-7e47b003-a4a9-4423-8597-14ced0cf2b03">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EquipmentSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.3009'">(EquipmentSection): @root SHALL have value '2.16.578.1.34.10.3009'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3009
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3009']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3009']]/hl7:code[(@code='46264-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (EquipmentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3009']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3009']]/hl7:code[(@code='46264-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-6c32a801-4143-45d9-b9a6-d0386919d5d3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EquipmentSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="@nullFlavor or (@code='46264-8' and @codeSystem='2.16.840.1.113883.6.1')">(EquipmentSection): The element value SHALL be code '46264-8' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3009
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3009']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3009']]/hl7:title
Item: (EquipmentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3009']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3009']]/hl7:title"
         id="tmp-r-fc750dc5-b6f2-4a72-91fd-206104d9b233">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EquipmentSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3009
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3009']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3009']]/hl7:text
Item: (EquipmentSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3009']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3009']]/hl7:text"
         id="tmp-r-1dcbbc21-de83-4e4f-bd6e-96a69734f29f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EquipmentSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
