<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3010
Name: Notes Annotations Section
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3010-2012-12-12T000000">
   <title>Notes Annotations Section</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3010
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3010']]
Item: (NotesAnnotationSection)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3010
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3010']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3010']]
Item: (NotesAnnotationSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3010']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3010']]"
         id="tmp-r-0abb585e-1d08-456c-a9f0-8c917e6d0220">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3010-2012-12-12T000000.html"
              test="string(@classCode)='DOCSECT'">(NotesAnnotationSection): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3010-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3010'])&gt;=1 ">(NotesAnnotationSection): element hl7:templateId[@root='2.16.578.1.34.10.3010'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3010-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3010'])&lt;=1">(NotesAnnotationSection): element hl7:templateId[@root='2.16.578.1.34.10.3010'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3010-2012-12-12T000000.html"
              test="count(hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(NotesAnnotationSection): element hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3010-2012-12-12T000000.html"
              test="count(hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(NotesAnnotationSection): element hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3010-2012-12-12T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(NotesAnnotationSection): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3010-2012-12-12T000000.html"
              test="count(hl7:title)&lt;=1">(NotesAnnotationSection): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3010-2012-12-12T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(NotesAnnotationSection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3010-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(NotesAnnotationSection): element hl7:text appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3010
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3010']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3010']]/hl7:templateId
Item: (NotesAnnotationSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3010']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3010']]/hl7:templateId"
         id="tmp-r-2567fb3f-958e-418a-a3e0-bd4499c97733">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3010-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NotesAnnotationSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3010-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.3010'">(NotesAnnotationSection): @root SHALL have value '2.16.578.1.34.10.3010'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3010
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3010']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3010']]/hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (NotesAnnotationSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3010']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3010']]/hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-0651de8b-df2c-426f-be19-b68d094a67e4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3010-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NotesAnnotationSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3010-2012-12-12T000000.html"
              test="@nullFlavor or (@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')">(NotesAnnotationSection): The element value SHALL be code '48767-8' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3010
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3010']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3010']]/hl7:title
Item: (NotesAnnotationSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3010']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3010']]/hl7:title"
         id="tmp-r-d7ec6dcb-a5bc-4654-9210-e9c9546814ab">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3010-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NotesAnnotationSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3010
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3010']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3010']]/hl7:text
Item: (NotesAnnotationSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3010']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3010']]/hl7:text"
         id="tmp-r-9f9b4e79-8f42-4206-a1b4-22cdba27737d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3010-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NotesAnnotationSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
