<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3016
Name: Pulmonary Function Tests Section
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3016-2014-03-01T000000">
   <title>Pulmonary Function Tests Section</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3016
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3016']]
Item: (PulmonaryFunctionTestsSection)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3016
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3016']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3016']]
Item: (PulmonaryFunctionTestsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3016']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3016']]"
         id="tmp-r-206fdc66-36ea-4320-a3f1-7deb984a963d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3016-2014-03-01T000000.html"
              test="string(@classCode)='DOCSECT'">(PulmonaryFunctionTestsSection): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3016-2014-03-01T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3016'])&gt;=1 ">(PulmonaryFunctionTestsSection): element hl7:templateId[@root='2.16.578.1.34.10.3016'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3016-2014-03-01T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3016'])&lt;=1">(PulmonaryFunctionTestsSection): element hl7:templateId[@root='2.16.578.1.34.10.3016'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3016-2014-03-01T000000.html"
              test="count(hl7:code[(@code='52485-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='52485-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(PulmonaryFunctionTestsSection): element hl7:code[(@code='52485-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3016-2014-03-01T000000.html"
              test="count(hl7:code[(@code='52485-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(PulmonaryFunctionTestsSection): element hl7:code[(@code='52485-0' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3016-2014-03-01T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(PulmonaryFunctionTestsSection): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3016-2014-03-01T000000.html"
              test="count(hl7:title)&lt;=1">(PulmonaryFunctionTestsSection): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3016-2014-03-01T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(PulmonaryFunctionTestsSection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3016-2014-03-01T000000.html"
              test="count(hl7:text)&lt;=1">(PulmonaryFunctionTestsSection): element hl7:text appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3016
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3016']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3016']]/hl7:templateId
Item: (PulmonaryFunctionTestsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3016']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3016']]/hl7:templateId"
         id="tmp-r-9e27e55e-4d96-45c6-861b-accdc6b21c94">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3016-2014-03-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PulmonaryFunctionTestsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3016-2014-03-01T000000.html"
              test="string(@root)='2.16.578.1.34.10.3016'">(PulmonaryFunctionTestsSection): @root SHALL have value '2.16.578.1.34.10.3016'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3016
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3016']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3016']]/hl7:code[(@code='52485-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (PulmonaryFunctionTestsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3016']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3016']]/hl7:code[(@code='52485-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-447cb0c5-0d87-412c-914a-efdc4618a295">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3016-2014-03-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PulmonaryFunctionTestsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3016-2014-03-01T000000.html"
              test="@nullFlavor or (@code='52485-0' and @codeSystem='2.16.840.1.113883.6.1')">(PulmonaryFunctionTestsSection): The element value SHALL be code '52485-0' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3016
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3016']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3016']]/hl7:title
Item: (PulmonaryFunctionTestsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3016']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3016']]/hl7:title"
         id="tmp-r-1deddf66-c1a7-48d5-be84-b9f79c9d6dd0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3016-2014-03-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PulmonaryFunctionTestsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3016
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3016']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3016']]/hl7:text
Item: (PulmonaryFunctionTestsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3016']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3016']]/hl7:text"
         id="tmp-r-9adf0609-8185-4594-8ca9-64e15f6f95c0">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3016-2014-03-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PulmonaryFunctionTestsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3016
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3016']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3016']]/hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]]
Item: (PulmonaryFunctionTestsSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3016']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3016']]/hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.578.1.34.10.4022']]]"
         id="tmp-r-3fc41fc5-3eed-48e5-a0ac-fecf58d0238d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3016-2014-03-01T000000.html"
              test="string(@typeCode)='DRIV' or not(@typeCode)">(PulmonaryFunctionTestsSection): The value for @typeCode SHALL be 'DRIV'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3016
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3016']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3016']]/hl7:entry[hl7:observationMedia[hl7:templateId[@root='2.16.578.1.34.10.4020']]]
Item: (PulmonaryFunctionTestsSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3016']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3016']]/hl7:entry[hl7:observationMedia[hl7:templateId[@root='2.16.578.1.34.10.4020']]]"
         id="tmp-r-0a78ac4a-060b-4d0c-b7cf-908a2f188ca8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3016-2014-03-01T000000.html"
              test="string(@typeCode)='COMP'">(PulmonaryFunctionTestsSection): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3016-2014-03-01T000000.html"
              test="string(@contextConductionInd)='true'">(PulmonaryFunctionTestsSection): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
</pattern>
