<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5021
Name: IC bs/pre-op
Description: Template Inspiratory capacity bs/Inspiratory capacity pre-operative
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5021-2014-03-30T000000">
   <title>IC bs/pre-op</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5021
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5021']]
Item: (Icbspreop)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5021
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5021']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5021']]
Item: (Icbspreop)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5021']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5021']]"
         id="tmp-r-cc4e5c79-8a40-4c4e-853a-d881ab284d75">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5021-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Icbspreop): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5021-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Icbspreop): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5021-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5021'])&gt;=1 ">(Icbspreop): element hl7:templateId[@root='2.16.578.1.34.10.5021'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5021-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5021'])&lt;=1">(Icbspreop): element hl7:templateId[@root='2.16.578.1.34.10.5021'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5021-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19854-9' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19854-9' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Icbspreop): element hl7:code[(@code='19854-9' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5021-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19854-9' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Icbspreop): element hl7:code[(@code='19854-9' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5021-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Icbspreop): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5021-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Icbspreop): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5021-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Icbspreop): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5021-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Icbspreop): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5021
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5021']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5021']]/hl7:templateId
Item: (Icbspreop)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5021']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5021']]/hl7:templateId"
         id="tmp-r-5c91791e-d69b-4421-9f2a-5dfa68938c02">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5021-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icbspreop): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5021-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5021'">(Icbspreop): @root SHALL have value '2.16.578.1.34.10.5021'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5021
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5021']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5021']]/hl7:code[(@code='19854-9' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Icbspreop)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5021']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5021']]/hl7:code[(@code='19854-9' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-30072ff9-5341-4f31-a798-2a48f99c8c31">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5021-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icbspreop): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5021-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19854-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Inspiratory capacity bs/Inspiratory capacity pre-operative')">(Icbspreop): The element value SHALL be code '19854-9' codeSystem '2.16.840.1.113883.6.1' displayName='Inspiratory capacity bs/Inspiratory capacity pre-operative'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5021
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5021']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5021']]/hl7:text
Item: (Icbspreop)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5021']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5021']]/hl7:text"
         id="tmp-r-08971331-237b-4330-a0bb-4bc0b79e82ae">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5021-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icbspreop): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5021-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Icbspreop): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5021-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Icbspreop): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5021
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5021']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5021']]/hl7:text/hl7:reference
Item: (Icbspreop)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5021']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5021']]/hl7:text/hl7:reference"
         id="tmp-r-1a219199-93ac-4efb-b4a4-90a63891777a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5021-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icbspreop): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5021
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5021']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5021']]/hl7:statusCode
Item: (Icbspreop)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5021']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5021']]/hl7:statusCode"
         id="tmp-r-e31e8cd3-4c71-4262-a7a9-20aa6540144c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5021-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icbspreop): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5021-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Icbspreop): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5021-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Icbspreop): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5021
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5021']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5021']]/hl7:value
Item: (Icbspreop)
-->
</pattern>
