<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5083
Name: FEF 25-75% Predicted
Description: Template FEF 25-75% Predicted
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5083-2014-03-30T000000">
   <title>FEF 25-75% Predicted</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5083
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5083']]
Item: (Fef2575predicted)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5083
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5083']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5083']]
Item: (Fef2575predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5083']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5083']]"
         id="tmp-r-b7181f3e-b26a-48a5-9878-30c709fc51a2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fef2575predicted): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fef2575predicted): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5083'])&gt;=1 ">(Fef2575predicted): element hl7:templateId[@root='2.16.578.1.34.10.5083'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5083'])&lt;=1">(Fef2575predicted): element hl7:templateId[@root='2.16.578.1.34.10.5083'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69971-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='69971-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fef2575predicted): element hl7:code[(@code='69971-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="count(hl7:code[(@code='69971-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fef2575predicted): element hl7:code[(@code='69971-0' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fef2575predicted): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fef2575predicted): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fef2575predicted): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fef2575predicted): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5083
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5083']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5083']]/hl7:templateId
Item: (Fef2575predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5083']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5083']]/hl7:templateId"
         id="tmp-r-29aaa479-66d2-4aa1-9d2a-70c3b9b5bf02">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fef2575predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5083'">(Fef2575predicted): @root SHALL have value '2.16.578.1.34.10.5083'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5083
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5083']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5083']]/hl7:code[(@code='69971-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fef2575predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5083']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5083']]/hl7:code[(@code='69971-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-dd8964b2-8a01-4fa9-a69a-483b056a1f98">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fef2575predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="@nullFlavor or (@code='69971-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FEF 25-75% Predicted')">(Fef2575predicted): The element value SHALL be code '69971-0' codeSystem '2.16.840.1.113883.6.1' displayName='FEF 25-75% Predicted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5083
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5083']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5083']]/hl7:text
Item: (Fef2575predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5083']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5083']]/hl7:text"
         id="tmp-r-042e47ff-2d38-4161-9612-6414154889c9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fef2575predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fef2575predicted): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fef2575predicted): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5083
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5083']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5083']]/hl7:text/hl7:reference
Item: (Fef2575predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5083']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5083']]/hl7:text/hl7:reference"
         id="tmp-r-7520d99d-4719-428c-94ea-4ceba4c711df">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fef2575predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5083
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5083']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5083']]/hl7:statusCode
Item: (Fef2575predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5083']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5083']]/hl7:statusCode"
         id="tmp-r-47beb7b3-03e9-45ee-871e-cf5d03d2f057">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fef2575predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fef2575predicted): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fef2575predicted): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5083
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5083']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5083']]/hl7:value
Item: (Fef2575predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5083']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5083']]/hl7:value"
         id="tmp-r-ba23b3f0-1edc-42d7-a983-176e813ebc2d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fef2575predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L/s'))">(Fef2575predicted): value SHALL use unit 'L/s' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fef2575predicted): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5083-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fef2575predicted): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
