<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5161
Name: FEV1 10M p Exc
Description: Template FEV1 - -10 minutes post exercise
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5161-2014-03-30T000000">
   <title>FEV1 10M p Exc</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5161
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5161']]
Item: (Fev110mpexc)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5161
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5161']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5161']]
Item: (Fev110mpexc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5161']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5161']]"
         id="tmp-r-68ef0fbd-7017-4d29-b1b5-0469c723fe10">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fev110mpexc): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fev110mpexc): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5161'])&gt;=1 ">(Fev110mpexc): element hl7:templateId[@root='2.16.578.1.34.10.5161'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5161'])&lt;=1">(Fev110mpexc): element hl7:templateId[@root='2.16.578.1.34.10.5161'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="count(hl7:code[(@code='43263-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='43263-3' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fev110mpexc): element hl7:code[(@code='43263-3' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="count(hl7:code[(@code='43263-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fev110mpexc): element hl7:code[(@code='43263-3' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fev110mpexc): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fev110mpexc): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fev110mpexc): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fev110mpexc): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5161
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5161']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5161']]/hl7:templateId
Item: (Fev110mpexc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5161']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5161']]/hl7:templateId"
         id="tmp-r-c649c446-8442-4d90-9c7a-eb30357f035c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev110mpexc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5161'">(Fev110mpexc): @root SHALL have value '2.16.578.1.34.10.5161'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5161
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5161']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5161']]/hl7:code[(@code='43263-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fev110mpexc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5161']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5161']]/hl7:code[(@code='43263-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-65772cbe-8fcc-4935-8831-baf3431b2761">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev110mpexc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="@nullFlavor or (@code='43263-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FEV1 --10 minutes post exercise')">(Fev110mpexc): The element value SHALL be code '43263-3' codeSystem '2.16.840.1.113883.6.1' displayName='FEV1 --10 minutes post exercise'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5161
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5161']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5161']]/hl7:text
Item: (Fev110mpexc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5161']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5161']]/hl7:text"
         id="tmp-r-c0b66198-8a58-4e7a-a978-ec838e2056dc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev110mpexc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fev110mpexc): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fev110mpexc): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5161
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5161']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5161']]/hl7:text/hl7:reference
Item: (Fev110mpexc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5161']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5161']]/hl7:text/hl7:reference"
         id="tmp-r-f2035e5e-243b-4d94-a8c4-b9e4499c58f6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev110mpexc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5161
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5161']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5161']]/hl7:statusCode
Item: (Fev110mpexc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5161']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5161']]/hl7:statusCode"
         id="tmp-r-225ea1dd-59b3-4b74-bf57-f6b03343a81d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev110mpexc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fev110mpexc): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fev110mpexc): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5161
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5161']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5161']]/hl7:value
Item: (Fev110mpexc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5161']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5161']]/hl7:value"
         id="tmp-r-e73e459c-afce-4411-9ead-007eb94c15bf">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev110mpexc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L'))">(Fev110mpexc): value SHALL use unit 'L' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fev110mpexc): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5161-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fev110mpexc): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
