<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5285
Name: Expiratory reserve He Rebreath
Description: Template Expiratory reserve by Helium rebreathing
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5285-2014-03-30T000000">
   <title>Expiratory reserve He Rebreath</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5285
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5285']]
Item: (Expiratoryreserveherebreath)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5285
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5285']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5285']]
Item: (Expiratoryreserveherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5285']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5285']]"
         id="tmp-r-9b4d8e0a-f737-4842-bb80-78a383c96d56">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5285-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Expiratoryreserveherebreath): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5285-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Expiratoryreserveherebreath): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5285-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5285'])&gt;=1 ">(Expiratoryreserveherebreath): element hl7:templateId[@root='2.16.578.1.34.10.5285'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5285-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5285'])&lt;=1">(Expiratoryreserveherebreath): element hl7:templateId[@root='2.16.578.1.34.10.5285'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5285-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19921-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19921-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Expiratoryreserveherebreath): element hl7:code[(@code='19921-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5285-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19921-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Expiratoryreserveherebreath): element hl7:code[(@code='19921-6' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5285-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Expiratoryreserveherebreath): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5285-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Expiratoryreserveherebreath): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5285-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Expiratoryreserveherebreath): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5285-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Expiratoryreserveherebreath): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5285
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5285']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5285']]/hl7:templateId
Item: (Expiratoryreserveherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5285']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5285']]/hl7:templateId"
         id="tmp-r-11a75ed7-8a89-4516-b22f-778d115e94ab">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5285-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Expiratoryreserveherebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5285-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5285'">(Expiratoryreserveherebreath): @root SHALL have value '2.16.578.1.34.10.5285'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5285
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5285']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5285']]/hl7:code[(@code='19921-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Expiratoryreserveherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5285']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5285']]/hl7:code[(@code='19921-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-c678b4ea-f0f6-4e85-9b3c-7deef70f6a8d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5285-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Expiratoryreserveherebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5285-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19921-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Expiratory reserve by Helium rebreathing')">(Expiratoryreserveherebreath): The element value SHALL be code '19921-6' codeSystem '2.16.840.1.113883.6.1' displayName='Expiratory reserve by Helium rebreathing'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5285
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5285']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5285']]/hl7:text
Item: (Expiratoryreserveherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5285']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5285']]/hl7:text"
         id="tmp-r-0a5675e3-5478-4693-ad7f-8f85d4359611">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5285-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Expiratoryreserveherebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5285-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Expiratoryreserveherebreath): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5285-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Expiratoryreserveherebreath): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5285
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5285']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5285']]/hl7:text/hl7:reference
Item: (Expiratoryreserveherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5285']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5285']]/hl7:text/hl7:reference"
         id="tmp-r-8d2ae61c-b3a6-4c79-8423-73e237b76c90">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5285-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Expiratoryreserveherebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5285
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5285']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5285']]/hl7:statusCode
Item: (Expiratoryreserveherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5285']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5285']]/hl7:statusCode"
         id="tmp-r-d5888bdc-8859-4e57-a94e-592c5c52f809">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5285-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Expiratoryreserveherebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5285-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Expiratoryreserveherebreath): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5285-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Expiratoryreserveherebreath): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5285
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5285']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5285']]/hl7:value
Item: (Expiratoryreserveherebreath)
-->
</pattern>
