<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5351
Name: Dyspnea p Exc Respiratory
Description: Template Respiratory system - -post exercise
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5351-2014-03-30T000000">
   <title>Dyspnea p Exc Respiratory</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5351
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5351']]
Item: (Dyspneapexcrespiratory)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5351
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5351']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5351']]
Item: (Dyspneapexcrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5351']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5351']]"
         id="tmp-r-6983197a-0d13-48d6-8988-678b81677a14">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5351-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Dyspneapexcrespiratory): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5351-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Dyspneapexcrespiratory): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5351-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5351'])&gt;=1 ">(Dyspneapexcrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5351'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5351-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5351'])&lt;=1">(Dyspneapexcrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5351'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5351-2014-03-30T000000.html"
              test="count(hl7:code[(@code='64112-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='64112-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Dyspneapexcrespiratory): element hl7:code[(@code='64112-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5351-2014-03-30T000000.html"
              test="count(hl7:code[(@code='64112-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Dyspneapexcrespiratory): element hl7:code[(@code='64112-6' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5351-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Dyspneapexcrespiratory): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5351-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Dyspneapexcrespiratory): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5351-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Dyspneapexcrespiratory): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5351-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Dyspneapexcrespiratory): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5351
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5351']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5351']]/hl7:templateId
Item: (Dyspneapexcrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5351']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5351']]/hl7:templateId"
         id="tmp-r-41acd5b2-1dad-41a4-9918-25d8978716d9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5351-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Dyspneapexcrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5351-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5351'">(Dyspneapexcrespiratory): @root SHALL have value '2.16.578.1.34.10.5351'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5351
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5351']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5351']]/hl7:code[(@code='64112-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Dyspneapexcrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5351']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5351']]/hl7:code[(@code='64112-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-42ee87a7-2b03-48dd-ba70-7b8fa3b47b42">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5351-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Dyspneapexcrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5351-2014-03-30T000000.html"
              test="@nullFlavor or (@code='64112-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Respiratory system --post exercise')">(Dyspneapexcrespiratory): The element value SHALL be code '64112-6' codeSystem '2.16.840.1.113883.6.1' displayName='Respiratory system --post exercise'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5351
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5351']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5351']]/hl7:text
Item: (Dyspneapexcrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5351']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5351']]/hl7:text"
         id="tmp-r-c4dc0620-9114-4626-8836-37b366a807e2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5351-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Dyspneapexcrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5351-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Dyspneapexcrespiratory): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5351-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Dyspneapexcrespiratory): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5351
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5351']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5351']]/hl7:text/hl7:reference
Item: (Dyspneapexcrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5351']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5351']]/hl7:text/hl7:reference"
         id="tmp-r-ebc6c7e1-f3fa-4ed1-99cb-cb40a07d5b5f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5351-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Dyspneapexcrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5351
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5351']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5351']]/hl7:statusCode
Item: (Dyspneapexcrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5351']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5351']]/hl7:statusCode"
         id="tmp-r-81b60894-f7f3-4c76-b2ec-b9183785990a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5351-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Dyspneapexcrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5351-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Dyspneapexcrespiratory): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5351-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Dyspneapexcrespiratory): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5351
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5351']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5351']]/hl7:value
Item: (Dyspneapexcrespiratory)
-->
</pattern>
