<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5435
Name: Walk distance 6M
Description: Template Distance walked in 6 minutes
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5435-2014-03-30T000000">
   <title>Walk distance 6M</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5435
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5435']]
Item: (Walkdistance6m)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5435
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5435']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5435']]
Item: (Walkdistance6m)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5435']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5435']]"
         id="tmp-r-ee2d675e-c641-4f18-a583-697e6556a70f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5435-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Walkdistance6m): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5435-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Walkdistance6m): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5435-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5435'])&gt;=1 ">(Walkdistance6m): element hl7:templateId[@root='2.16.578.1.34.10.5435'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5435-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5435'])&lt;=1">(Walkdistance6m): element hl7:templateId[@root='2.16.578.1.34.10.5435'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5435-2014-03-30T000000.html"
              test="count(hl7:code[(@code='64098-7' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='64098-7' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Walkdistance6m): element hl7:code[(@code='64098-7' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5435-2014-03-30T000000.html"
              test="count(hl7:code[(@code='64098-7' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Walkdistance6m): element hl7:code[(@code='64098-7' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5435-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Walkdistance6m): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5435-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Walkdistance6m): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5435-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Walkdistance6m): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5435-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Walkdistance6m): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5435
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5435']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5435']]/hl7:templateId
Item: (Walkdistance6m)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5435']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5435']]/hl7:templateId"
         id="tmp-r-78b63ee5-2947-4750-82a6-3be7b97204b8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5435-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Walkdistance6m): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5435-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5435'">(Walkdistance6m): @root SHALL have value '2.16.578.1.34.10.5435'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5435
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5435']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5435']]/hl7:code[(@code='64098-7' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Walkdistance6m)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5435']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5435']]/hl7:code[(@code='64098-7' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-15ba0cb9-9224-4ffe-932f-0784bf0e3174">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5435-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Walkdistance6m): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5435-2014-03-30T000000.html"
              test="@nullFlavor or (@code='64098-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Distance walked in 6 minutes')">(Walkdistance6m): The element value SHALL be code '64098-7' codeSystem '2.16.840.1.113883.6.1' displayName='Distance walked in 6 minutes'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5435
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5435']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5435']]/hl7:text
Item: (Walkdistance6m)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5435']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5435']]/hl7:text"
         id="tmp-r-e26805b9-5dfa-4f26-8fc7-de08323eb4ed">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5435-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Walkdistance6m): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5435-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Walkdistance6m): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5435-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Walkdistance6m): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5435
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5435']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5435']]/hl7:text/hl7:reference
Item: (Walkdistance6m)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5435']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5435']]/hl7:text/hl7:reference"
         id="tmp-r-83b148db-af91-4aa8-ac67-9666aca5e3b8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5435-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Walkdistance6m): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5435
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5435']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5435']]/hl7:statusCode
Item: (Walkdistance6m)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5435']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5435']]/hl7:statusCode"
         id="tmp-r-8e1bf4a6-aafd-4901-a5a0-371137e7f0c8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5435-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Walkdistance6m): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5435-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Walkdistance6m): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5435-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Walkdistance6m): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5435
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5435']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5435']]/hl7:value
Item: (Walkdistance6m)
-->
</pattern>
