<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5469
Name: Test challenge type Respiratory
Description: Template Test challenge type Respiratory system
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5469-2014-03-30T000000">
   <title>Test challenge type Respiratory</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5469
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5469']]
Item: (Testchallengetyperespiratory)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5469
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5469']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5469']]
Item: (Testchallengetyperespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5469']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5469']]"
         id="tmp-r-46c97b8c-162d-46ac-96d5-30c20a979bbc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5469-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Testchallengetyperespiratory): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5469-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Testchallengetyperespiratory): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5469-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5469'])&gt;=1 ">(Testchallengetyperespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5469'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5469-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5469'])&lt;=1">(Testchallengetyperespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5469'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5469-2014-03-30T000000.html"
              test="count(hl7:code[(@code='65653-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='65653-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Testchallengetyperespiratory): element hl7:code[(@code='65653-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5469-2014-03-30T000000.html"
              test="count(hl7:code[(@code='65653-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Testchallengetyperespiratory): element hl7:code[(@code='65653-8' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5469-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Testchallengetyperespiratory): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5469-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Testchallengetyperespiratory): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5469-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Testchallengetyperespiratory): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5469-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Testchallengetyperespiratory): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5469
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5469']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5469']]/hl7:templateId
Item: (Testchallengetyperespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5469']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5469']]/hl7:templateId"
         id="tmp-r-862f271d-446b-4b37-a6ec-6ab4310eb9bf">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5469-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Testchallengetyperespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5469-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5469'">(Testchallengetyperespiratory): @root SHALL have value '2.16.578.1.34.10.5469'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5469
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5469']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5469']]/hl7:code[(@code='65653-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Testchallengetyperespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5469']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5469']]/hl7:code[(@code='65653-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-a210fcb7-1ff2-4209-b922-a0e030f30ab4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5469-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Testchallengetyperespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5469-2014-03-30T000000.html"
              test="@nullFlavor or (@code='65653-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Test challenge type Respiratory system')">(Testchallengetyperespiratory): The element value SHALL be code '65653-8' codeSystem '2.16.840.1.113883.6.1' displayName='Test challenge type Respiratory system'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5469
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5469']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5469']]/hl7:text
Item: (Testchallengetyperespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5469']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5469']]/hl7:text"
         id="tmp-r-78171008-f697-4b3e-9704-639d486ab8e6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5469-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Testchallengetyperespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5469-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Testchallengetyperespiratory): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5469-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Testchallengetyperespiratory): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5469
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5469']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5469']]/hl7:text/hl7:reference
Item: (Testchallengetyperespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5469']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5469']]/hl7:text/hl7:reference"
         id="tmp-r-ac17a506-656e-4238-a0bf-97d2615788f1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5469-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Testchallengetyperespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5469
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5469']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5469']]/hl7:statusCode
Item: (Testchallengetyperespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5469']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5469']]/hl7:statusCode"
         id="tmp-r-ec65d7be-f56c-4f37-9980-8fded04a412f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5469-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Testchallengetyperespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5469-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Testchallengetyperespiratory): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5469-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Testchallengetyperespiratory): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5469
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5469']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5469']]/hl7:value
Item: (Testchallengetyperespiratory)
-->
</pattern>
