<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3003
Name: Objective and Preoperative Assessment
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3003-2012-12-12T000000">
   <title>Objective and Preoperative Assessment</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3003
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]
Item: (ObjectiveandPreoperativeAssessment)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3003
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3003']]
Item: (ObjectiveandPreoperativeAssessment)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3003']]"
         id="tmp-r-77828841-1b88-4c72-a51d-02a76c185e79">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="string(@classCode)='DOCSECT'">(ObjectiveandPreoperativeAssessment): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3003'])&gt;=1 ">(ObjectiveandPreoperativeAssessment): element hl7:templateId[@root='2.16.578.1.34.10.3003'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3003'])&lt;=1">(ObjectiveandPreoperativeAssessment): element hl7:templateId[@root='2.16.578.1.34.10.3003'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="count(hl7:code[(@code='61149-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='61149-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(ObjectiveandPreoperativeAssessment): element hl7:code[(@code='61149-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="count(hl7:code[(@code='61149-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(ObjectiveandPreoperativeAssessment): element hl7:code[(@code='61149-1' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(ObjectiveandPreoperativeAssessment): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="count(hl7:title)&lt;=1">(ObjectiveandPreoperativeAssessment): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(ObjectiveandPreoperativeAssessment): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(ObjectiveandPreoperativeAssessment): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3004']]])&lt;=1">(ObjectiveandPreoperativeAssessment): element hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3004']]] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3003
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3003']]/hl7:templateId
Item: (ObjectiveandPreoperativeAssessment)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3003']]/hl7:templateId"
         id="tmp-r-1acee411-e71c-4fa5-802e-32a37acf3d52">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ObjectiveandPreoperativeAssessment): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.3003'">(ObjectiveandPreoperativeAssessment): @root SHALL have value '2.16.578.1.34.10.3003'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3003
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3003']]/hl7:code[(@code='61149-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (ObjectiveandPreoperativeAssessment)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3003']]/hl7:code[(@code='61149-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-563cbc25-69b1-4977-9cc0-bc36be1c4a52">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ObjectiveandPreoperativeAssessment): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="@nullFlavor or (@code='61149-1' and @codeSystem='2.16.840.1.113883.6.1')">(ObjectiveandPreoperativeAssessment): The element value SHALL be code '61149-1' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3003
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3003']]/hl7:title
Item: (ObjectiveandPreoperativeAssessment)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3003']]/hl7:title"
         id="tmp-r-d86cecbe-1828-43d1-ab0b-e72e4aa83901">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ObjectiveandPreoperativeAssessment): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3003
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3003']]/hl7:text
Item: (ObjectiveandPreoperativeAssessment)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3003']]/hl7:text"
         id="tmp-r-dc2eb233-1e1c-4da7-b0a6-1f71a427efbf">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ObjectiveandPreoperativeAssessment): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3003
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3003']]/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3004']]]
Item: (ObjectiveandPreoperativeAssessment)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3003']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3003']]/hl7:component[hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3004']]]"
         id="tmp-r-f3276144-8066-4ab8-945c-7f489fdbeb68">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3003-2012-12-12T000000.html"
              test="string(@typeCode)='COMP'">(ObjectiveandPreoperativeAssessment): The value for @typeCode SHALL be 'COMP'.</assert>
   </rule>
</pattern>
