<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3005
Name: Real Time Variables
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3005-2012-12-12T000000">
   <title>Real Time Variables</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3005
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3005']]
Item: (RealTimeVariables)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3005
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3005']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3005']]
Item: (RealTimeVariables)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3005']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3005']]"
         id="tmp-r-6b9496f0-f16e-412f-bf43-9665c8b1a755">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="string(@classCode)='DOCSECT'">(RealTimeVariables): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3005'])&gt;=1 ">(RealTimeVariables): element hl7:templateId[@root='2.16.578.1.34.10.3005'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3005'])&lt;=1">(RealTimeVariables): element hl7:templateId[@root='2.16.578.1.34.10.3005'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="count(hl7:code[(@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(RealTimeVariables): element hl7:code[(@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="count(hl7:code[(@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(RealTimeVariables): element hl7:code[(@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(RealTimeVariables): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="count(hl7:title)&lt;=1">(RealTimeVariables): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(RealTimeVariables): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(RealTimeVariables): element hl7:text appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3005
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3005']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3005']]/hl7:templateId
Item: (RealTimeVariables)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3005']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3005']]/hl7:templateId"
         id="tmp-r-2cde323c-72f2-49d0-ba2f-73c5b54e2ef3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RealTimeVariables): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.3005'">(RealTimeVariables): @root SHALL have value '2.16.578.1.34.10.3005'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3005
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3005']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3005']]/hl7:code[(@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (RealTimeVariables)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3005']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3005']]/hl7:code[(@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-6c7b77e9-1226-40dc-909d-423a43871609">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RealTimeVariables): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="@nullFlavor or (@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')">(RealTimeVariables): The element value SHALL be code '29554-3' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3005
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3005']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3005']]/hl7:title
Item: (RealTimeVariables)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3005']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3005']]/hl7:title"
         id="tmp-r-8006ca71-78e1-4c2e-9f3e-c43e33260663">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RealTimeVariables): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3005
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3005']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3005']]/hl7:text
Item: (RealTimeVariables)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3005']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3005']]/hl7:text"
         id="tmp-r-afeeffa8-56a7-4d40-8e2c-67ac3e30d373">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3005-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(RealTimeVariables): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
