<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3007
Name: Operative Note Fluids
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3007-2012-12-12T000000">
   <title>Operative Note Fluids</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3007
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]
Item: (OperativeNoteFluids)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3007
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3007']]
Item: (OperativeNoteFluids)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3007']]"
         id="tmp-r-07adcba9-e5d9-4014-9c34-4bdfbcf39548">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="string(@classCode)='DOCSECT'">(OperativeNoteFluids): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3007'])&gt;=1 ">(OperativeNoteFluids): element hl7:templateId[@root='2.16.578.1.34.10.3007'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3007'])&lt;=1">(OperativeNoteFluids): element hl7:templateId[@root='2.16.578.1.34.10.3007'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="count(hl7:code[(@code='10216-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='10216-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(OperativeNoteFluids): element hl7:code[(@code='10216-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="count(hl7:code[(@code='10216-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(OperativeNoteFluids): element hl7:code[(@code='10216-0' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(OperativeNoteFluids): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="count(hl7:title)&lt;=1">(OperativeNoteFluids): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(OperativeNoteFluids): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(OperativeNoteFluids): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]])&lt;=1">(OperativeNoteFluids): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]])&lt;=1">(OperativeNoteFluids): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3007
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3007']]/hl7:templateId
Item: (OperativeNoteFluids)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3007']]/hl7:templateId"
         id="tmp-r-ddb7d576-0f5f-442f-8b80-5e9ccc2da2ee">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OperativeNoteFluids): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.3007'">(OperativeNoteFluids): @root SHALL have value '2.16.578.1.34.10.3007'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3007
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3007']]/hl7:code[(@code='10216-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (OperativeNoteFluids)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3007']]/hl7:code[(@code='10216-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-fd5f8a14-8ce9-4543-93bf-47372b0cdda4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OperativeNoteFluids): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="@nullFlavor or (@code='10216-0' and @codeSystem='2.16.840.1.113883.6.1')">(OperativeNoteFluids): The element value SHALL be code '10216-0' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3007
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3007']]/hl7:title
Item: (OperativeNoteFluids)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3007']]/hl7:title"
         id="tmp-r-8e9c8d50-6903-4a7f-8dee-d635945fbc64">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OperativeNoteFluids): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3007
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3007']]/hl7:text
Item: (OperativeNoteFluids)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3007']]/hl7:text"
         id="tmp-r-fced6378-3ce2-42d7-98ba-2222928173a7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OperativeNoteFluids): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3007
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3007']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]]
Item: (OperativeNoteFluids)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3007']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]]"
         id="tmp-r-44527cfa-9d36-4641-9018-4f5f4c966057">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="string(@typeCode)='DRIV' or not(@typeCode)">(OperativeNoteFluids): The value for @typeCode SHALL be 'DRIV'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3007
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3007']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]]
Item: (OperativeNoteFluids)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3007']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]]"
         id="tmp-r-3a8655f6-e55d-46f0-8dbe-b864276a8863">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="string(@typeCode)='DRIV' or not(@typeCode)">(OperativeNoteFluids): The value for @typeCode SHALL be 'DRIV'.</assert>
   </rule>
</pattern>
