<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3012
Name: Procedure Findings
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3012-2012-12-12T000000">
   <title>Procedure Findings</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3012
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3012']]
Item: (ProcedureFindings)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3012
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3012']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3012']]
Item: (ProcedureFindings)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3012']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3012']]"
         id="tmp-r-047cf52a-dbb1-4ccd-b2ad-c0d77466001c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3012-2012-12-12T000000.html"
              test="string(@classCode)='DOCSECT'">(ProcedureFindings): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3012-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3012'])&gt;=1 ">(ProcedureFindings): element hl7:templateId[@root='2.16.578.1.34.10.3012'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3012-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3012'])&lt;=1">(ProcedureFindings): element hl7:templateId[@root='2.16.578.1.34.10.3012'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3012-2012-12-12T000000.html"
              test="count(hl7:code[(@code='59776-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='59776-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(ProcedureFindings): element hl7:code[(@code='59776-5' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3012-2012-12-12T000000.html"
              test="count(hl7:code[(@code='59776-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(ProcedureFindings): element hl7:code[(@code='59776-5' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3012-2012-12-12T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(ProcedureFindings): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3012-2012-12-12T000000.html"
              test="count(hl7:title)&lt;=1">(ProcedureFindings): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3012-2012-12-12T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(ProcedureFindings): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3012-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(ProcedureFindings): element hl7:text appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3012
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3012']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3012']]/hl7:templateId
Item: (ProcedureFindings)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3012']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3012']]/hl7:templateId"
         id="tmp-r-5ce7eccf-9d31-46b8-9194-cab8e9c7db65">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3012-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProcedureFindings): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3012-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.3012'">(ProcedureFindings): @root SHALL have value '2.16.578.1.34.10.3012'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3012
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3012']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3012']]/hl7:code[(@code='59776-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (ProcedureFindings)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3012']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3012']]/hl7:code[(@code='59776-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-0949caab-f119-4da5-95f3-aff53ded7ffc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3012-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProcedureFindings): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3012-2012-12-12T000000.html"
              test="@nullFlavor or (@code='59776-5' and @codeSystem='2.16.840.1.113883.6.1')">(ProcedureFindings): The element value SHALL be code '59776-5' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3012
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3012']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3012']]/hl7:title
Item: (ProcedureFindings)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3012']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3012']]/hl7:title"
         id="tmp-r-a5054f41-9fa8-417c-b46f-431f77d126c1">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3012-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProcedureFindings): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3012
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3012']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3012']]/hl7:text
Item: (ProcedureFindings)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3012']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3012']]/hl7:text"
         id="tmp-r-7914921a-a91b-4553-98a6-c6dbbfe63cef">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3012-2012-12-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProcedureFindings): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
