<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3014
Name: Procedures Section
Description: Procedures Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3014-2014-03-11T000000">
   <title>Procedures Section</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3014
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3014']]
Item: (ProceduresSection)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3014
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3014']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3014']]
Item: (ProceduresSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3014']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3014']]"
         id="tmp-r-319f3f91-578c-4759-a07d-9f203d973aac">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3014-2014-03-11T000000.html"
              test="string(@classCode)='DOCSECT'">(ProceduresSection): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3014-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3014'])&gt;=1 ">(ProceduresSection): element hl7:templateId[@root='2.16.578.1.34.10.3014'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3014-2014-03-11T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3014'])&lt;=1">(ProceduresSection): element hl7:templateId[@root='2.16.578.1.34.10.3014'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3014-2014-03-11T000000.html"
              test="count(hl7:code[(@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(ProceduresSection): element hl7:code[(@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3014-2014-03-11T000000.html"
              test="count(hl7:code[(@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(ProceduresSection): element hl7:code[(@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3014-2014-03-11T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(ProceduresSection): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3014-2014-03-11T000000.html"
              test="count(hl7:title)&lt;=1">(ProceduresSection): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3014-2014-03-11T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(ProceduresSection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3014-2014-03-11T000000.html"
              test="count(hl7:text)&lt;=1">(ProceduresSection): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3014-2014-03-11T000000.html"
              test="count(hl7:entry[hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4017']]])&lt;=1">(ProceduresSection): element hl7:entry[hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4017']]] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3014
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3014']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3014']]/hl7:templateId
Item: (ProceduresSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3014']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3014']]/hl7:templateId"
         id="tmp-r-2a17f519-0db6-4548-bcad-ebda4d69c244">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3014-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProceduresSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3014-2014-03-11T000000.html"
              test="string(@root)='2.16.578.1.34.10.3014'">(ProceduresSection): @root SHALL have value '2.16.578.1.34.10.3014'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3014
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3014']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3014']]/hl7:code[(@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (ProceduresSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3014']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3014']]/hl7:code[(@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-a7b0c213-c051-45bd-8262-d4b8003f6ffa">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3014-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProceduresSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3014-2014-03-11T000000.html"
              test="@nullFlavor or (@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')">(ProceduresSection): The element value SHALL be code '29554-3' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3014
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3014']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3014']]/hl7:title
Item: (ProceduresSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3014']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3014']]/hl7:title"
         id="tmp-r-a25fece1-d2d9-42e9-a6c9-12e33907183c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3014-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProceduresSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3014
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3014']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3014']]/hl7:text
Item: (ProceduresSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3014']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3014']]/hl7:text"
         id="tmp-r-afa9d833-3017-4a1b-9544-a30ea422b330">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3014-2014-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProceduresSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3014
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3014']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3014']]/hl7:entry[hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4017']]]
Item: (ProceduresSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3014']]/hl7:section[hl7:templateId[@root='2.16.578.1.34.10.3014']]/hl7:entry[hl7:procedure[hl7:templateId[@root='2.16.578.1.34.10.4017']]]"
         id="tmp-r-c79442d8-28ce-4850-a858-5024dc2cb0b5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.3014-2014-03-11T000000.html"
              test="string(@typeCode)='DRIV' or not(@typeCode)">(ProceduresSection): The value for @typeCode SHALL be 'DRIV'.</assert>
   </rule>
</pattern>
