<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5005
Name: Ethnic background Stated
Description: Template Ethnic background Stated
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5005-2014-03-30T000000">
   <title>Ethnic background Stated</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5005']]
Item: (Ethnicbackgroundstated)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5005']]
Item: (Ethnicbackgroundstated)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5005']]"
         id="tmp-r-5b48c4e6-219b-42c0-81dd-7fe2eedd8e88">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Ethnicbackgroundstated): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Ethnicbackgroundstated): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5005'])&gt;=1 ">(Ethnicbackgroundstated): element hl7:templateId[@root='2.16.578.1.34.10.5005'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5005'])&lt;=1">(Ethnicbackgroundstated): element hl7:templateId[@root='2.16.578.1.34.10.5005'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="count(hl7:code[(@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Ethnicbackgroundstated): element hl7:code[(@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="count(hl7:code[(@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Ethnicbackgroundstated): element hl7:code[(@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Ethnicbackgroundstated): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Ethnicbackgroundstated): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.7-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.7-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 ">(Ethnicbackgroundstated): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.7-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.7-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.7-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.7-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(Ethnicbackgroundstated): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.7-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.7-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5005']]/hl7:templateId
Item: (Ethnicbackgroundstated)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5005']]/hl7:templateId"
         id="tmp-r-3ca19ed9-dd07-4c72-8ff9-28c12cabb59e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ethnicbackgroundstated): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5005'">(Ethnicbackgroundstated): @root SHALL have value '2.16.578.1.34.10.5005'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5005']]/hl7:code[(@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Ethnicbackgroundstated)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5005']]/hl7:code[(@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-4ac387ba-1bfa-463e-b2c8-2bf4c6973170">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ethnicbackgroundstated): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="@nullFlavor or (@code='42784-9' and @codeSystem='2.16.840.1.113883.6.1')">(Ethnicbackgroundstated): The element value SHALL be code '42784-9' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5005']]/hl7:text
Item: (Ethnicbackgroundstated)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5005']]/hl7:text"
         id="tmp-r-b3bd30d7-c099-4fea-a3d8-c0c30cab74ff">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ethnicbackgroundstated): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Ethnicbackgroundstated): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Ethnicbackgroundstated): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5005']]/hl7:text/hl7:reference
Item: (Ethnicbackgroundstated)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5005']]/hl7:text/hl7:reference"
         id="tmp-r-57e26911-0f68-4342-8192-a8f6a3b87150">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ethnicbackgroundstated): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5005']]/hl7:statusCode
Item: (Ethnicbackgroundstated)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5005']]/hl7:statusCode"
         id="tmp-r-8e90ef1e-099d-4119-ac94-14cbd74f2770">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ethnicbackgroundstated): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Ethnicbackgroundstated): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Ethnicbackgroundstated): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5005
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5005']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.7-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.7-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (Ethnicbackgroundstated)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5005']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5005']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.578.1.34.11.7-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.578.1.34.11.7-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-a0a87498-27ed-45ec-a8ba-201051c3ab32">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ethnicbackgroundstated): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.578.1.34.11.7-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Ethnicbackgroundstated): The element value SHALL be EthnicGroup Ethnic Group (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.578.1.34.11.7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5005-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Ethnicbackgroundstated): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set EthnicGroup Ethnic Group (DYNAMIC).</assert>
   </rule>
</pattern>
