<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5023
Name: IC bs/pre-op Spirometry
Description: Template Inspiratory capacity bs/Inspiratory capacity pre-operative by Spirometry
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5023-2014-03-30T000000">
   <title>IC bs/pre-op Spirometry</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5023
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5023']]
Item: (Icbspreopspirometry)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5023
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5023']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5023']]
Item: (Icbspreopspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5023']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5023']]"
         id="tmp-r-125a1f04-c08a-4519-9b73-2653a797d0e3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Icbspreopspirometry): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Icbspreopspirometry): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5023'])&gt;=1 ">(Icbspreopspirometry): element hl7:templateId[@root='2.16.578.1.34.10.5023'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5023'])&lt;=1">(Icbspreopspirometry): element hl7:templateId[@root='2.16.578.1.34.10.5023'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19853-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19853-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Icbspreopspirometry): element hl7:code[(@code='19853-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19853-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Icbspreopspirometry): element hl7:code[(@code='19853-1' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Icbspreopspirometry): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Icbspreopspirometry): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Icbspreopspirometry): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Icbspreopspirometry): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5023
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5023']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5023']]/hl7:templateId
Item: (Icbspreopspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5023']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5023']]/hl7:templateId"
         id="tmp-r-6764f781-cb7d-4d1b-bbae-0d3873f38e6c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icbspreopspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5023'">(Icbspreopspirometry): @root SHALL have value '2.16.578.1.34.10.5023'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5023
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5023']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5023']]/hl7:code[(@code='19853-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Icbspreopspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5023']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5023']]/hl7:code[(@code='19853-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-3f1c1eae-b9ff-4e01-b29e-328642d9022f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icbspreopspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19853-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Inspiratory capacity bs/Inspiratory capacity pre-operative by Spirometry')">(Icbspreopspirometry): The element value SHALL be code '19853-1' codeSystem '2.16.840.1.113883.6.1' displayName='Inspiratory capacity bs/Inspiratory capacity pre-operative by Spirometry'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5023
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5023']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5023']]/hl7:text
Item: (Icbspreopspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5023']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5023']]/hl7:text"
         id="tmp-r-25fb201b-0eda-46ae-8f74-09c6c218db80">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icbspreopspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Icbspreopspirometry): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Icbspreopspirometry): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5023
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5023']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5023']]/hl7:text/hl7:reference
Item: (Icbspreopspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5023']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5023']]/hl7:text/hl7:reference"
         id="tmp-r-614b327c-a558-4903-aaa6-9b24ed1e5079">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icbspreopspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5023
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5023']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5023']]/hl7:statusCode
Item: (Icbspreopspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5023']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5023']]/hl7:statusCode"
         id="tmp-r-50b27190-500d-4955-87f7-1add3d12a8f2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icbspreopspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Icbspreopspirometry): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Icbspreopspirometry): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5023
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5023']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5023']]/hl7:value
Item: (Icbspreopspirometry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5023']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5023']]/hl7:value"
         id="tmp-r-fd5d92d0-72c6-4bb8-ab0a-91c92c7695bc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icbspreopspirometry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Icbspreopspirometry): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5023-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Icbspreopspirometry): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
