<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5137
Name: FEV.5 Predicted
Description: Template FEV.5 Predicted
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5137-2014-03-30T000000">
   <title>FEV.5 Predicted</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5137
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5137']]
Item: (Fev5predicted)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5137
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5137']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5137']]
Item: (Fev5predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5137']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5137']]"
         id="tmp-r-e5d058f2-09bb-47a5-9e7e-4f70e39f9777">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fev5predicted): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fev5predicted): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5137'])&gt;=1 ">(Fev5predicted): element hl7:templateId[@root='2.16.578.1.34.10.5137'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5137'])&lt;=1">(Fev5predicted): element hl7:templateId[@root='2.16.578.1.34.10.5137'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20147-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='20147-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fev5predicted): element hl7:code[(@code='20147-5' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="count(hl7:code[(@code='20147-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fev5predicted): element hl7:code[(@code='20147-5' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fev5predicted): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fev5predicted): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fev5predicted): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fev5predicted): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5137
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5137']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5137']]/hl7:templateId
Item: (Fev5predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5137']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5137']]/hl7:templateId"
         id="tmp-r-ec89c73a-dc4a-4960-a6d0-53c5d67f5b17">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev5predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5137'">(Fev5predicted): @root SHALL have value '2.16.578.1.34.10.5137'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5137
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5137']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5137']]/hl7:code[(@code='20147-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fev5predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5137']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5137']]/hl7:code[(@code='20147-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-1dcd8563-8503-4d2c-b7e7-990050e6bdbc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev5predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="@nullFlavor or (@code='20147-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FEV.5 Predicted')">(Fev5predicted): The element value SHALL be code '20147-5' codeSystem '2.16.840.1.113883.6.1' displayName='FEV.5 Predicted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5137
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5137']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5137']]/hl7:text
Item: (Fev5predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5137']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5137']]/hl7:text"
         id="tmp-r-fe3eecd4-10d4-4460-8c41-de3bca5c311c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev5predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fev5predicted): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fev5predicted): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5137
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5137']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5137']]/hl7:text/hl7:reference
Item: (Fev5predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5137']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5137']]/hl7:text/hl7:reference"
         id="tmp-r-11ca8396-b5e3-4f12-93e2-9aa355551ffa">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev5predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5137
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5137']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5137']]/hl7:statusCode
Item: (Fev5predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5137']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5137']]/hl7:statusCode"
         id="tmp-r-f458b770-9730-4a9a-b51f-9455e86eef51">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev5predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fev5predicted): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fev5predicted): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5137
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5137']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5137']]/hl7:value
Item: (Fev5predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5137']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5137']]/hl7:value"
         id="tmp-r-8abcdb08-0803-4536-8e19-72fd587a20a3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev5predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L'))">(Fev5predicted): value SHALL use unit 'L' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fev5predicted): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5137-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fev5predicted): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
