<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5155
Name: FEV1/FEV6 Predicted
Description: Template FEV1/FEV6 Predicted
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5155-2014-03-30T000000">
   <title>FEV1/FEV6 Predicted</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5155
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5155']]
Item: (Fev1fev6predicted)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5155
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5155']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5155']]
Item: (Fev1fev6predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5155']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5155']]"
         id="tmp-r-445200dc-6a78-4e34-b1ac-c6ce3ec8b721">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5155-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fev1fev6predicted): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5155-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fev1fev6predicted): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5155-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5155'])&gt;=1 ">(Fev1fev6predicted): element hl7:templateId[@root='2.16.578.1.34.10.5155'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5155-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5155'])&lt;=1">(Fev1fev6predicted): element hl7:templateId[@root='2.16.578.1.34.10.5155'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5155-2014-03-30T000000.html"
              test="count(hl7:code[(@code='65658-7' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='65658-7' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fev1fev6predicted): element hl7:code[(@code='65658-7' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5155-2014-03-30T000000.html"
              test="count(hl7:code[(@code='65658-7' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fev1fev6predicted): element hl7:code[(@code='65658-7' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5155-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fev1fev6predicted): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5155-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fev1fev6predicted): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5155-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fev1fev6predicted): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5155-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fev1fev6predicted): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5155
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5155']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5155']]/hl7:templateId
Item: (Fev1fev6predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5155']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5155']]/hl7:templateId"
         id="tmp-r-47143726-fc31-4956-99b1-ac0f906f9753">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5155-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fev6predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5155-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5155'">(Fev1fev6predicted): @root SHALL have value '2.16.578.1.34.10.5155'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5155
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5155']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5155']]/hl7:code[(@code='65658-7' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fev1fev6predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5155']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5155']]/hl7:code[(@code='65658-7' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-b39c35d1-b902-440d-a9e3-e7e731d0cac3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5155-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fev6predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5155-2014-03-30T000000.html"
              test="@nullFlavor or (@code='65658-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FEV1/FEV6 Predicted')">(Fev1fev6predicted): The element value SHALL be code '65658-7' codeSystem '2.16.840.1.113883.6.1' displayName='FEV1/FEV6 Predicted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5155
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5155']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5155']]/hl7:text
Item: (Fev1fev6predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5155']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5155']]/hl7:text"
         id="tmp-r-5e76c16d-70fe-4f45-8228-0d5e857940cf">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5155-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fev6predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5155-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fev1fev6predicted): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5155-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fev1fev6predicted): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5155
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5155']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5155']]/hl7:text/hl7:reference
Item: (Fev1fev6predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5155']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5155']]/hl7:text/hl7:reference"
         id="tmp-r-50a536f4-5166-442b-96c4-c54421fb188b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5155-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fev6predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5155
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5155']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5155']]/hl7:statusCode
Item: (Fev1fev6predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5155']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5155']]/hl7:statusCode"
         id="tmp-r-e263e6fa-e47d-4e55-a562-0548099c6d82">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5155-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev1fev6predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5155-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fev1fev6predicted): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5155-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fev1fev6predicted): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5155
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5155']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5155']]/hl7:value
Item: (Fev1fev6predicted)
-->
</pattern>
