<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5169
Name: FEV1 5M p excz
Description: Template FEV1 - -5 minutes post exercise
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5169-2014-03-30T000000">
   <title>FEV1 5M p excz</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5169
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5169']]
Item: (Fev15mpexcz)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5169
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5169']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5169']]
Item: (Fev15mpexcz)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5169']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5169']]"
         id="tmp-r-8e911295-d877-4fa4-af18-c8cceadc6e87">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fev15mpexcz): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fev15mpexcz): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5169'])&gt;=1 ">(Fev15mpexcz): element hl7:templateId[@root='2.16.578.1.34.10.5169'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5169'])&lt;=1">(Fev15mpexcz): element hl7:templateId[@root='2.16.578.1.34.10.5169'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="count(hl7:code[(@code='43261-7' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='43261-7' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fev15mpexcz): element hl7:code[(@code='43261-7' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="count(hl7:code[(@code='43261-7' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fev15mpexcz): element hl7:code[(@code='43261-7' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fev15mpexcz): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fev15mpexcz): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fev15mpexcz): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fev15mpexcz): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5169
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5169']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5169']]/hl7:templateId
Item: (Fev15mpexcz)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5169']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5169']]/hl7:templateId"
         id="tmp-r-5ae1b0c5-01b1-43d8-8106-304ae13a5ee2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev15mpexcz): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5169'">(Fev15mpexcz): @root SHALL have value '2.16.578.1.34.10.5169'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5169
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5169']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5169']]/hl7:code[(@code='43261-7' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fev15mpexcz)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5169']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5169']]/hl7:code[(@code='43261-7' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-3b287a39-fbca-444f-a677-ba32e1e45c59">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev15mpexcz): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="@nullFlavor or (@code='43261-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FEV1 --5 minutes post exercise')">(Fev15mpexcz): The element value SHALL be code '43261-7' codeSystem '2.16.840.1.113883.6.1' displayName='FEV1 --5 minutes post exercise'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5169
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5169']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5169']]/hl7:text
Item: (Fev15mpexcz)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5169']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5169']]/hl7:text"
         id="tmp-r-355a8646-f8d9-4f68-8ef5-ff29b26f0896">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev15mpexcz): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fev15mpexcz): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fev15mpexcz): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5169
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5169']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5169']]/hl7:text/hl7:reference
Item: (Fev15mpexcz)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5169']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5169']]/hl7:text/hl7:reference"
         id="tmp-r-4ed04c4f-ad27-4033-8f8c-e1a3d41303f5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev15mpexcz): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5169
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5169']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5169']]/hl7:statusCode
Item: (Fev15mpexcz)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5169']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5169']]/hl7:statusCode"
         id="tmp-r-c7d0b939-af42-4c0c-b69f-7727f1bcd135">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev15mpexcz): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fev15mpexcz): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fev15mpexcz): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5169
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5169']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5169']]/hl7:value
Item: (Fev15mpexcz)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5169']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5169']]/hl7:value"
         id="tmp-r-4a177c69-f684-4183-87ed-7a943e0591ff">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fev15mpexcz): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L'))">(Fev15mpexcz): value SHALL use unit 'L' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fev15mpexcz): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5169-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fev15mpexcz): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
