<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5217
Name: FIV1 Predicted
Description: Template FIV1 Predicted
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5217-2014-03-30T000000">
   <title>FIV1 Predicted</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5217
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5217']]
Item: (Fiv1predicted)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5217
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5217']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5217']]
Item: (Fiv1predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5217']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5217']]"
         id="tmp-r-361f9149-c5ed-449f-8800-e8685b71a232">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fiv1predicted): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fiv1predicted): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5217'])&gt;=1 ">(Fiv1predicted): element hl7:templateId[@root='2.16.578.1.34.10.5217'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5217'])&lt;=1">(Fiv1predicted): element hl7:templateId[@root='2.16.578.1.34.10.5217'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="count(hl7:code[(@code='43251-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='43251-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fiv1predicted): element hl7:code[(@code='43251-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="count(hl7:code[(@code='43251-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fiv1predicted): element hl7:code[(@code='43251-8' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fiv1predicted): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fiv1predicted): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fiv1predicted): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fiv1predicted): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5217
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5217']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5217']]/hl7:templateId
Item: (Fiv1predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5217']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5217']]/hl7:templateId"
         id="tmp-r-b03a9656-37f8-43b0-b09a-814d3617c64c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fiv1predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5217'">(Fiv1predicted): @root SHALL have value '2.16.578.1.34.10.5217'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5217
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5217']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5217']]/hl7:code[(@code='43251-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fiv1predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5217']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5217']]/hl7:code[(@code='43251-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-0ec43231-36f1-43c4-b4ea-f34126d885ed">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fiv1predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="@nullFlavor or (@code='43251-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FIV1 Predicted')">(Fiv1predicted): The element value SHALL be code '43251-8' codeSystem '2.16.840.1.113883.6.1' displayName='FIV1 Predicted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5217
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5217']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5217']]/hl7:text
Item: (Fiv1predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5217']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5217']]/hl7:text"
         id="tmp-r-4ef37020-8705-49ad-ae78-365a9ad6b6ba">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fiv1predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fiv1predicted): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fiv1predicted): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5217
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5217']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5217']]/hl7:text/hl7:reference
Item: (Fiv1predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5217']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5217']]/hl7:text/hl7:reference"
         id="tmp-r-61acd0ff-73d0-4eec-8105-fac6595a963f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fiv1predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5217
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5217']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5217']]/hl7:statusCode
Item: (Fiv1predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5217']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5217']]/hl7:statusCode"
         id="tmp-r-76a704b1-dba0-42ce-86b4-c8c2b7fb7cdb">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fiv1predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fiv1predicted): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fiv1predicted): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5217
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5217']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5217']]/hl7:value
Item: (Fiv1predicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5217']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5217']]/hl7:value"
         id="tmp-r-5adbb413-753c-4a77-b837-70cb0adc47f2">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fiv1predicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L'))">(Fiv1predicted): value SHALL use unit 'L' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Fiv1predicted): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5217-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Fiv1predicted): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
