<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5219
Name: FIV1/FIV Predicted
Description: Template FIV1/FIV Predicted
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5219-2014-03-30T000000">
   <title>FIV1/FIV Predicted</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5219
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5219']]
Item: (Fiv1fivpredicted)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5219
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5219']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5219']]
Item: (Fiv1fivpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5219']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5219']]"
         id="tmp-r-c4982d8b-9097-46de-a2a6-de8090a55799">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5219-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Fiv1fivpredicted): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5219-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Fiv1fivpredicted): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5219-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5219'])&gt;=1 ">(Fiv1fivpredicted): element hl7:templateId[@root='2.16.578.1.34.10.5219'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5219-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5219'])&lt;=1">(Fiv1fivpredicted): element hl7:templateId[@root='2.16.578.1.34.10.5219'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5219-2014-03-30T000000.html"
              test="count(hl7:code[(@code='43264-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='43264-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Fiv1fivpredicted): element hl7:code[(@code='43264-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5219-2014-03-30T000000.html"
              test="count(hl7:code[(@code='43264-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Fiv1fivpredicted): element hl7:code[(@code='43264-1' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5219-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Fiv1fivpredicted): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5219-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Fiv1fivpredicted): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5219-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Fiv1fivpredicted): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5219-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Fiv1fivpredicted): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5219
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5219']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5219']]/hl7:templateId
Item: (Fiv1fivpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5219']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5219']]/hl7:templateId"
         id="tmp-r-d98e2237-04c6-4eef-bb5c-b441febd7847">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5219-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fiv1fivpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5219-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5219'">(Fiv1fivpredicted): @root SHALL have value '2.16.578.1.34.10.5219'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5219
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5219']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5219']]/hl7:code[(@code='43264-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Fiv1fivpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5219']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5219']]/hl7:code[(@code='43264-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-c2f10c48-e5c0-4224-8f2d-7212539eafd4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5219-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fiv1fivpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5219-2014-03-30T000000.html"
              test="@nullFlavor or (@code='43264-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='FIV1/FIV Predicted')">(Fiv1fivpredicted): The element value SHALL be code '43264-1' codeSystem '2.16.840.1.113883.6.1' displayName='FIV1/FIV Predicted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5219
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5219']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5219']]/hl7:text
Item: (Fiv1fivpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5219']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5219']]/hl7:text"
         id="tmp-r-81d65c1b-c8f5-4cf6-9957-eade667a2ad5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5219-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fiv1fivpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5219-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Fiv1fivpredicted): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5219-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Fiv1fivpredicted): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5219
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5219']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5219']]/hl7:text/hl7:reference
Item: (Fiv1fivpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5219']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5219']]/hl7:text/hl7:reference"
         id="tmp-r-8ca4fbc5-0474-488d-bba0-39c5483bc8f7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5219-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fiv1fivpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5219
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5219']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5219']]/hl7:statusCode
Item: (Fiv1fivpredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5219']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5219']]/hl7:statusCode"
         id="tmp-r-285b6587-a4e3-40e0-8f1d-abf1f9514c4d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5219-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Fiv1fivpredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5219-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Fiv1fivpredicted): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5219-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Fiv1fivpredicted): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5219
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5219']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5219']]/hl7:value
Item: (Fiv1fivpredicted)
-->
</pattern>
