<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5255
Name: IC
Description: Template Inspiratory capacity
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5255-2014-03-30T000000">
   <title>IC</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5255
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5255']]
Item: (Ic)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5255
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5255']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5255']]
Item: (Ic)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5255']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5255']]"
         id="tmp-r-63608163-3fc9-424d-846d-5018e650e0e9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5255-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Ic): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5255-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Ic): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5255-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5255'])&gt;=1 ">(Ic): element hl7:templateId[@root='2.16.578.1.34.10.5255'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5255-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5255'])&lt;=1">(Ic): element hl7:templateId[@root='2.16.578.1.34.10.5255'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5255-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19848-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19848-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Ic): element hl7:code[(@code='19848-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5255-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19848-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Ic): element hl7:code[(@code='19848-1' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5255-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Ic): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5255-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Ic): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5255-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Ic): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5255-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Ic): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5255
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5255']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5255']]/hl7:templateId
Item: (Ic)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5255']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5255']]/hl7:templateId"
         id="tmp-r-f809addb-4770-4935-83ac-bb741c001024">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5255-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ic): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5255-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5255'">(Ic): @root SHALL have value '2.16.578.1.34.10.5255'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5255
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5255']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5255']]/hl7:code[(@code='19848-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Ic)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5255']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5255']]/hl7:code[(@code='19848-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-c0994fc8-c3bf-4f2e-a8af-8fc26851f6dd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5255-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ic): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5255-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19848-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Inspiratory capacity')">(Ic): The element value SHALL be code '19848-1' codeSystem '2.16.840.1.113883.6.1' displayName='Inspiratory capacity'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5255
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5255']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5255']]/hl7:text
Item: (Ic)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5255']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5255']]/hl7:text"
         id="tmp-r-2312cc55-e569-4a9d-a0f4-c09e676fc6bd">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5255-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ic): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5255-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Ic): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5255-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Ic): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5255
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5255']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5255']]/hl7:text/hl7:reference
Item: (Ic)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5255']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5255']]/hl7:text/hl7:reference"
         id="tmp-r-6790246f-082c-4b04-a49c-524648f06369">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5255-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ic): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5255
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5255']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5255']]/hl7:statusCode
Item: (Ic)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5255']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5255']]/hl7:statusCode"
         id="tmp-r-2500d6ef-4bf2-48d4-91cc-688483464b1e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5255-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ic): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5255-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Ic): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5255-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Ic): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5255
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5255']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5255']]/hl7:value
Item: (Ic)
-->
</pattern>
