<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5257
Name: IC He Rebreath
Description: Template Inspiratory capacity by Helium rebreathing
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5257-2014-03-30T000000">
   <title>IC He Rebreath</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5257
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5257']]
Item: (Icherebreath)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5257
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5257']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5257']]
Item: (Icherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5257']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5257']]"
         id="tmp-r-dde1984d-fc13-4d66-acac-d82542a3293d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5257-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Icherebreath): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5257-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Icherebreath): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5257-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5257'])&gt;=1 ">(Icherebreath): element hl7:templateId[@root='2.16.578.1.34.10.5257'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5257-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5257'])&lt;=1">(Icherebreath): element hl7:templateId[@root='2.16.578.1.34.10.5257'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5257-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19849-9' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19849-9' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Icherebreath): element hl7:code[(@code='19849-9' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5257-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19849-9' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Icherebreath): element hl7:code[(@code='19849-9' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5257-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Icherebreath): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5257-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Icherebreath): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5257-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Icherebreath): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5257-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Icherebreath): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5257
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5257']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5257']]/hl7:templateId
Item: (Icherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5257']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5257']]/hl7:templateId"
         id="tmp-r-8cb53b4c-c290-415f-bca5-e65c7d95b740">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5257-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icherebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5257-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5257'">(Icherebreath): @root SHALL have value '2.16.578.1.34.10.5257'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5257
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5257']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5257']]/hl7:code[(@code='19849-9' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Icherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5257']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5257']]/hl7:code[(@code='19849-9' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-f23109a9-e873-4bf1-90b3-2f4560c7d09b">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5257-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icherebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5257-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19849-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Inspiratory capacity by Helium rebreathing')">(Icherebreath): The element value SHALL be code '19849-9' codeSystem '2.16.840.1.113883.6.1' displayName='Inspiratory capacity by Helium rebreathing'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5257
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5257']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5257']]/hl7:text
Item: (Icherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5257']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5257']]/hl7:text"
         id="tmp-r-5f23432b-aaa4-433a-a028-6fd565775420">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5257-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icherebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5257-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Icherebreath): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5257-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Icherebreath): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5257
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5257']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5257']]/hl7:text/hl7:reference
Item: (Icherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5257']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5257']]/hl7:text/hl7:reference"
         id="tmp-r-49a3c986-cb4c-4f4d-a8f4-aeab286c5c2a">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5257-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icherebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5257
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5257']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5257']]/hl7:statusCode
Item: (Icherebreath)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5257']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5257']]/hl7:statusCode"
         id="tmp-r-92960114-5c62-4612-adfc-3a3cd6da85d3">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5257-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Icherebreath): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5257-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Icherebreath): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5257-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Icherebreath): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5257
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5257']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5257']]/hl7:value
Item: (Icherebreath)
-->
</pattern>
