<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5259
Name: IC He SB
Description: Template Inspiratory capacity by Helium single breath
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5259-2014-03-30T000000">
   <title>IC He SB</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5259
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5259']]
Item: (Ichesb)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5259
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5259']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5259']]
Item: (Ichesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5259']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5259']]"
         id="tmp-r-57143426-eedb-4e0a-804c-92c050cbd172">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5259-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Ichesb): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5259-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Ichesb): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5259-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5259'])&gt;=1 ">(Ichesb): element hl7:templateId[@root='2.16.578.1.34.10.5259'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5259-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5259'])&lt;=1">(Ichesb): element hl7:templateId[@root='2.16.578.1.34.10.5259'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5259-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19850-7' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19850-7' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Ichesb): element hl7:code[(@code='19850-7' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5259-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19850-7' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Ichesb): element hl7:code[(@code='19850-7' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5259-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Ichesb): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5259-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Ichesb): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5259-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Ichesb): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5259-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Ichesb): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5259
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5259']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5259']]/hl7:templateId
Item: (Ichesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5259']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5259']]/hl7:templateId"
         id="tmp-r-1417b0fc-dae4-44e9-92e4-53faa82182b9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5259-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ichesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5259-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5259'">(Ichesb): @root SHALL have value '2.16.578.1.34.10.5259'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5259
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5259']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5259']]/hl7:code[(@code='19850-7' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Ichesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5259']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5259']]/hl7:code[(@code='19850-7' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-357d09b5-a61c-4f59-b564-b070e6c4dc54">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5259-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ichesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5259-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19850-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Inspiratory capacity by Helium single breath')">(Ichesb): The element value SHALL be code '19850-7' codeSystem '2.16.840.1.113883.6.1' displayName='Inspiratory capacity by Helium single breath'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5259
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5259']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5259']]/hl7:text
Item: (Ichesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5259']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5259']]/hl7:text"
         id="tmp-r-4fa579e3-292f-4731-b434-d163249fc20f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5259-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ichesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5259-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Ichesb): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5259-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Ichesb): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5259
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5259']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5259']]/hl7:text/hl7:reference
Item: (Ichesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5259']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5259']]/hl7:text/hl7:reference"
         id="tmp-r-b8e6c948-146f-45fa-a9f0-17bfabf9b028">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5259-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ichesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5259
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5259']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5259']]/hl7:statusCode
Item: (Ichesb)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5259']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5259']]/hl7:statusCode"
         id="tmp-r-6f93902a-777d-467e-a021-f701ca493e1e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5259-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ichesb): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5259-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Ichesb): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5259-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Ichesb): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5259
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5259']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5259']]/hl7:value
Item: (Ichesb)
-->
</pattern>
