<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5289
Name: Expiratory reserve Predicted
Description: Template Expiratory reserve Predicted
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5289-2014-03-30T000000">
   <title>Expiratory reserve Predicted</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5289
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5289']]
Item: (Expiratoryreservepredicted)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5289
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5289']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5289']]
Item: (Expiratoryreservepredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5289']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5289']]"
         id="tmp-r-684e2970-594a-4866-af2c-6157cd4734f9">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Expiratoryreservepredicted): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Expiratoryreservepredicted): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5289'])&gt;=1 ">(Expiratoryreservepredicted): element hl7:templateId[@root='2.16.578.1.34.10.5289'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5289'])&lt;=1">(Expiratoryreservepredicted): element hl7:templateId[@root='2.16.578.1.34.10.5289'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19923-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='19923-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Expiratoryreservepredicted): element hl7:code[(@code='19923-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="count(hl7:code[(@code='19923-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Expiratoryreservepredicted): element hl7:code[(@code='19923-2' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Expiratoryreservepredicted): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Expiratoryreservepredicted): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Expiratoryreservepredicted): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Expiratoryreservepredicted): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5289
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5289']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5289']]/hl7:templateId
Item: (Expiratoryreservepredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5289']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5289']]/hl7:templateId"
         id="tmp-r-4ccfeadf-0dbc-447d-b484-0d907aa6da61">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Expiratoryreservepredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5289'">(Expiratoryreservepredicted): @root SHALL have value '2.16.578.1.34.10.5289'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5289
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5289']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5289']]/hl7:code[(@code='19923-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Expiratoryreservepredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5289']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5289']]/hl7:code[(@code='19923-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-ae0e7eec-f85f-4ba9-b189-ebcc49c1cb09">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Expiratoryreservepredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="@nullFlavor or (@code='19923-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Expiratory reserve Predicted')">(Expiratoryreservepredicted): The element value SHALL be code '19923-2' codeSystem '2.16.840.1.113883.6.1' displayName='Expiratory reserve Predicted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5289
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5289']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5289']]/hl7:text
Item: (Expiratoryreservepredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5289']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5289']]/hl7:text"
         id="tmp-r-1e08860f-bbd6-4c8b-8bb0-c013ec8e21ee">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Expiratoryreservepredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Expiratoryreservepredicted): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Expiratoryreservepredicted): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5289
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5289']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5289']]/hl7:text/hl7:reference
Item: (Expiratoryreservepredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5289']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5289']]/hl7:text/hl7:reference"
         id="tmp-r-2a8214c4-0819-4812-91d1-9fecf377423c">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Expiratoryreservepredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5289
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5289']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5289']]/hl7:statusCode
Item: (Expiratoryreservepredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5289']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5289']]/hl7:statusCode"
         id="tmp-r-ef54507d-d298-48b5-9909-65236e9eb48e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Expiratoryreservepredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Expiratoryreservepredicted): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Expiratoryreservepredicted): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5289
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5289']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5289']]/hl7:value
Item: (Expiratoryreservepredicted)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5289']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5289']]/hl7:value"
         id="tmp-r-3f58d52a-cc14-41b2-b48f-5372877d68b6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Expiratoryreservepredicted): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='L'))">(Expiratoryreservepredicted): value SHALL use unit 'L' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Expiratoryreservepredicted): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5289-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Expiratoryreservepredicted): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
