<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5335
Name: Expiratory resistance.max Respiratory
Description: Template Maximum expiratory resistance Respiratory system
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5335-2014-03-30T000000">
   <title>Expiratory resistance.max Respiratory</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5335
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5335']]
Item: (Expiratoryresistancemaxrespiratory)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5335
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5335']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5335']]
Item: (Expiratoryresistancemaxrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5335']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5335']]"
         id="tmp-r-5ac2251d-67e9-4702-a9cc-d6eb262a4fba">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Expiratoryresistancemaxrespiratory): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Expiratoryresistancemaxrespiratory): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5335'])&gt;=1 ">(Expiratoryresistancemaxrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5335'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5335'])&lt;=1">(Expiratoryresistancemaxrespiratory): element hl7:templateId[@root='2.16.578.1.34.10.5335'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="count(hl7:code[(@code='33453-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='33453-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Expiratoryresistancemaxrespiratory): element hl7:code[(@code='33453-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="count(hl7:code[(@code='33453-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Expiratoryresistancemaxrespiratory): element hl7:code[(@code='33453-2' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Expiratoryresistancemaxrespiratory): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Expiratoryresistancemaxrespiratory): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Expiratoryresistancemaxrespiratory): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Expiratoryresistancemaxrespiratory): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5335
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5335']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5335']]/hl7:templateId
Item: (Expiratoryresistancemaxrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5335']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5335']]/hl7:templateId"
         id="tmp-r-14f2dc5c-25ad-4b05-a2ce-b76da689ec25">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Expiratoryresistancemaxrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5335'">(Expiratoryresistancemaxrespiratory): @root SHALL have value '2.16.578.1.34.10.5335'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5335
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5335']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5335']]/hl7:code[(@code='33453-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Expiratoryresistancemaxrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5335']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5335']]/hl7:code[(@code='33453-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-e66c105a-3b5b-4081-b815-c9ab32011daf">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Expiratoryresistancemaxrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="@nullFlavor or (@code='33453-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Maximum expiratory resistance Respiratory system')">(Expiratoryresistancemaxrespiratory): The element value SHALL be code '33453-2' codeSystem '2.16.840.1.113883.6.1' displayName='Maximum expiratory resistance Respiratory system'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5335
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5335']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5335']]/hl7:text
Item: (Expiratoryresistancemaxrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5335']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5335']]/hl7:text"
         id="tmp-r-58230d95-6e55-4ff3-a800-5ae7360930cc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Expiratoryresistancemaxrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Expiratoryresistancemaxrespiratory): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Expiratoryresistancemaxrespiratory): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5335
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5335']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5335']]/hl7:text/hl7:reference
Item: (Expiratoryresistancemaxrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5335']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5335']]/hl7:text/hl7:reference"
         id="tmp-r-aeb00fe4-0014-4011-b610-7069c44f2cfe">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Expiratoryresistancemaxrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5335
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5335']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5335']]/hl7:statusCode
Item: (Expiratoryresistancemaxrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5335']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5335']]/hl7:statusCode"
         id="tmp-r-b6e49fad-6c36-4d37-a3c3-aa142d3c4aab">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Expiratoryresistancemaxrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Expiratoryresistancemaxrespiratory): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Expiratoryresistancemaxrespiratory): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5335
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5335']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5335']]/hl7:value
Item: (Expiratoryresistancemaxrespiratory)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5335']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5335']]/hl7:value"
         id="tmp-r-abc19b34-4359-4eea-a5cf-f1b0a176ac1d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Expiratoryresistancemaxrespiratory): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='cm[H2O/L/s'))">(Expiratoryresistancemaxrespiratory): value SHALL use unit 'cm[H2O/L/s' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Expiratoryresistancemaxrespiratory): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5335-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Expiratoryresistancemaxrespiratory): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
