<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5379
Name: Heart rate ?Tm Mean Pedometer
Description: Template Heart rate unspecified time mean by Pedometer
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5379-2014-03-30T000000">
   <title>Heart rate ?Tm Mean Pedometer</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5379
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5379']]
Item: (Heartratetmmeanpedometer)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5379
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5379']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5379']]
Item: (Heartratetmmeanpedometer)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5379']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5379']]"
         id="tmp-r-a0887236-b693-4b34-9f55-365204965983">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Heartratetmmeanpedometer): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Heartratetmmeanpedometer): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5379'])&gt;=1 ">(Heartratetmmeanpedometer): element hl7:templateId[@root='2.16.578.1.34.10.5379'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5379'])&lt;=1">(Heartratetmmeanpedometer): element hl7:templateId[@root='2.16.578.1.34.10.5379'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="count(hl7:code[(@code='55425-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='55425-3' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Heartratetmmeanpedometer): element hl7:code[(@code='55425-3' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="count(hl7:code[(@code='55425-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Heartratetmmeanpedometer): element hl7:code[(@code='55425-3' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Heartratetmmeanpedometer): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Heartratetmmeanpedometer): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Heartratetmmeanpedometer): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Heartratetmmeanpedometer): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5379
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5379']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5379']]/hl7:templateId
Item: (Heartratetmmeanpedometer)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5379']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5379']]/hl7:templateId"
         id="tmp-r-8714cc1e-f86d-4ef5-8bda-d2a95d3ae254">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratetmmeanpedometer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5379'">(Heartratetmmeanpedometer): @root SHALL have value '2.16.578.1.34.10.5379'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5379
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5379']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5379']]/hl7:code[(@code='55425-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Heartratetmmeanpedometer)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5379']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5379']]/hl7:code[(@code='55425-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-639d7563-6838-489d-ba1d-4bcf2cc8f740">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratetmmeanpedometer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="@nullFlavor or (@code='55425-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Heart rate unspecified time mean by Pedometer')">(Heartratetmmeanpedometer): The element value SHALL be code '55425-3' codeSystem '2.16.840.1.113883.6.1' displayName='Heart rate unspecified time mean by Pedometer'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5379
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5379']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5379']]/hl7:text
Item: (Heartratetmmeanpedometer)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5379']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5379']]/hl7:text"
         id="tmp-r-1cc6d2d8-864c-439b-b905-84034046c935">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratetmmeanpedometer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Heartratetmmeanpedometer): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Heartratetmmeanpedometer): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5379
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5379']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5379']]/hl7:text/hl7:reference
Item: (Heartratetmmeanpedometer)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5379']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5379']]/hl7:text/hl7:reference"
         id="tmp-r-72597f2f-db32-4a88-941a-35b603f953c6">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratetmmeanpedometer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5379
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5379']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5379']]/hl7:statusCode
Item: (Heartratetmmeanpedometer)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5379']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5379']]/hl7:statusCode"
         id="tmp-r-46b1c8ec-b207-4806-963f-67ecd74f071e">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratetmmeanpedometer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Heartratetmmeanpedometer): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Heartratetmmeanpedometer): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5379
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5379']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5379']]/hl7:value
Item: (Heartratetmmeanpedometer)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5379']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5379']]/hl7:value"
         id="tmp-r-d68cfe55-6311-42cd-8da0-2797a1e044de">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratetmmeanpedometer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='{beats}/min'))">(Heartratetmmeanpedometer): value SHALL use unit '{beats}/min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Heartratetmmeanpedometer): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5379-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Heartratetmmeanpedometer): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
