<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5393
Name: Heart rate p Exc
Description: Template Heart rate - -post exercise
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5393-2014-03-30T000000">
   <title>Heart rate p Exc</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5393
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5393']]
Item: (Heartratepexc)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5393
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5393']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5393']]
Item: (Heartratepexc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5393']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5393']]"
         id="tmp-r-55e07c09-9871-447d-a6f7-d1c7bf7863b5">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Heartratepexc): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Heartratepexc): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5393'])&gt;=1 ">(Heartratepexc): element hl7:templateId[@root='2.16.578.1.34.10.5393'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5393'])&lt;=1">(Heartratepexc): element hl7:templateId[@root='2.16.578.1.34.10.5393'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="count(hl7:code[(@code='40442-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='40442-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Heartratepexc): element hl7:code[(@code='40442-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="count(hl7:code[(@code='40442-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Heartratepexc): element hl7:code[(@code='40442-6' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Heartratepexc): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Heartratepexc): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Heartratepexc): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Heartratepexc): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5393
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5393']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5393']]/hl7:templateId
Item: (Heartratepexc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5393']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5393']]/hl7:templateId"
         id="tmp-r-6b10621b-a96f-4780-89f9-59f62d0687d7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratepexc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5393'">(Heartratepexc): @root SHALL have value '2.16.578.1.34.10.5393'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5393
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5393']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5393']]/hl7:code[(@code='40442-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Heartratepexc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5393']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5393']]/hl7:code[(@code='40442-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-1c2cdf76-feb7-4926-bb00-43bea8229587">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratepexc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="@nullFlavor or (@code='40442-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Heart rate --post exercise')">(Heartratepexc): The element value SHALL be code '40442-6' codeSystem '2.16.840.1.113883.6.1' displayName='Heart rate --post exercise'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5393
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5393']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5393']]/hl7:text
Item: (Heartratepexc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5393']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5393']]/hl7:text"
         id="tmp-r-662a1c99-979d-4b87-b2e7-154a07f7f4af">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratepexc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Heartratepexc): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Heartratepexc): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5393
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5393']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5393']]/hl7:text/hl7:reference
Item: (Heartratepexc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5393']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5393']]/hl7:text/hl7:reference"
         id="tmp-r-c164a7d8-f666-40c3-bf7d-81bff89d2933">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratepexc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5393
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5393']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5393']]/hl7:statusCode
Item: (Heartratepexc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5393']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5393']]/hl7:statusCode"
         id="tmp-r-ed02b983-4f47-4ea3-840c-643fd70115f7">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratepexc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Heartratepexc): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Heartratepexc): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5393
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5393']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5393']]/hl7:value
Item: (Heartratepexc)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5393']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5393']]/hl7:value"
         id="tmp-r-795538fa-495d-4a75-9af4-46fa617ee202">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratepexc): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='{beats}/min'))">(Heartratepexc): value SHALL use unit '{beats}/min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Heartratepexc): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5393-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Heartratepexc): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
