<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.5395
Name: Heart rate p Exc Oximetry
Description: Template Heart rate by Oximetry - -post exercise
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.5395-2014-03-30T000000">
   <title>Heart rate p Exc Oximetry</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5395
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5395']]
Item: (Heartratepexcoximetry)
-->

   <!--
Template derived rules for ID: 2.16.578.1.34.10.5395
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5395']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5395']]
Item: (Heartratepexcoximetry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5395']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5395']]"
         id="tmp-r-800e56ac-ecdf-4a0f-8c31-f8ab80c5f9ae">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="string(@classCode)='OBS'">(Heartratepexcoximetry): The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="string(@moodCode)='EVN'">(Heartratepexcoximetry): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5395'])&gt;=1 ">(Heartratepexcoximetry): element hl7:templateId[@root='2.16.578.1.34.10.5395'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.5395'])&lt;=1">(Heartratepexcoximetry): element hl7:templateId[@root='2.16.578.1.34.10.5395'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="count(hl7:code[(@code='40587-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='40587-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Heartratepexcoximetry): element hl7:code[(@code='40587-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="count(hl7:code[(@code='40587-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Heartratepexcoximetry): element hl7:code[(@code='40587-8' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="count(hl7:text)&lt;=1">(Heartratepexcoximetry): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Heartratepexcoximetry): element hl7:statusCode appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="count(hl7:value)&gt;=1 ">(Heartratepexcoximetry): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="count(hl7:value)&lt;=1">(Heartratepexcoximetry): element hl7:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5395
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5395']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5395']]/hl7:templateId
Item: (Heartratepexcoximetry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5395']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5395']]/hl7:templateId"
         id="tmp-r-85f868d2-0592-4496-9f1e-e04b50e917d4">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratepexcoximetry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="string(@root)='2.16.578.1.34.10.5395'">(Heartratepexcoximetry): @root SHALL have value '2.16.578.1.34.10.5395'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5395
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5395']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5395']]/hl7:code[(@code='40587-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Heartratepexcoximetry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5395']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5395']]/hl7:code[(@code='40587-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-e750a3ac-fcf7-4006-b104-afdf8917addc">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratepexcoximetry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="@nullFlavor or (@code='40587-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Heart rate by Oximetry --post exercise')">(Heartratepexcoximetry): The element value SHALL be code '40587-8' codeSystem '2.16.840.1.113883.6.1' displayName='Heart rate by Oximetry --post exercise'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5395
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5395']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5395']]/hl7:text
Item: (Heartratepexcoximetry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5395']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5395']]/hl7:text"
         id="tmp-r-e18a682e-45b7-469a-9283-6cc74c95d282">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratepexcoximetry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Heartratepexcoximetry): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="count(hl7:reference)&lt;=1">(Heartratepexcoximetry): element hl7:reference appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5395
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5395']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5395']]/hl7:text/hl7:reference
Item: (Heartratepexcoximetry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5395']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5395']]/hl7:text/hl7:reference"
         id="tmp-r-717628a6-fe18-43b7-8512-d1e4bd4c6e2f">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratepexcoximetry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5395
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5395']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5395']]/hl7:statusCode
Item: (Heartratepexcoximetry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5395']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5395']]/hl7:statusCode"
         id="tmp-r-97a4ef5f-24b1-4ba1-91c2-95861f21c5de">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratepexcoximetry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Heartratepexcoximetry): The element value SHALL be ActStatus (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Heartratepexcoximetry): The null value for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.5395
Context: *[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5395']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5395']]/hl7:value
Item: (Heartratepexcoximetry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.578.1.34.10.5395']]/hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.5395']]/hl7:value"
         id="tmp-r-e30b949e-2da3-4d43-8ba0-1704e8a8c655">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Heartratepexcoximetry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="(@nullFlavor or (@unit='{beats}/min'))">(Heartratepexcoximetry): value SHALL use unit '{beats}/min' </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="$digitok or @nullFlavor">(Heartratepexcoximetry): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7no.art-decor.org/hl7no-html-20140402T164357/tmp-2.16.578.1.34.10.5395-2014-03-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Heartratepexcoximetry): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
